package ru.dbotthepony.mc.otm.storage;

import net.minecraft.MethodsReturnNonnullByDefault;
import net.minecraft.world.item.ItemStack;

import javax.annotation.ParametersAreNonnullByDefault;
import java.math.BigDecimal;
import java.util.UUID;

@MethodsReturnNonnullByDefault
@ParametersAreNonnullByDefault
public interface IStorageListener<T extends IStorageObject> {
	void addObject(T stack, UUID id, IStorageView<T> provider);
	void changeObject(UUID id, BigDecimal new_count);
	void removeObject(UUID id);
}
